#
# spec file for package whois
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           whois
BuildRequires:  libidn-devel
License:        GPL v2 or later
Group:          Productivity/Networking/Other
Provides:       ripe-whois-tools 
AutoReqProv:    on
Url:            http://www.linux.it/~md/software/
Version:        5.4.3
Release:        1.1
Summary:        Whois Client Program
Source:         %{name}_%{version}.tar.bz2
Patch1:		whois-ip_del.patch
Patch2:		whois-5.2.3_no-autodie.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define mkpasswd_suffix %{name}

%description
This is a new whois (RFC 954) client rewritten from scratch by Marco
d'Itri. It is derived from and compatible with the usual BSD and RIPE
whois(1) programs. It is intelligent and can automatically select the
appropriate whois server for most queries. This package also contains
mkpasswd, a simple front-end to crypt(3).



Authors:
--------
    Marco d'Itri <md@linux.it>

%prep
%setup -n whois-%{version}
%patch1
%patch2

%build
# version 5.3.1 complains about libidn:
# Makefile:38: *** Please fix your build system to stop defining HAVE_LIBIDN!.  Stop.
#make all mkpasswd HAVE_LIBIDN=1 HAVE_ICONV=1 OPTS="$RPM_OPT_FLAGS"

make all mkpasswd HAVE_ICONV=1 OPTS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1}
make BASEDIR=$RPM_BUILD_ROOT mandir=%{_mandir} prefix=/usr \
	install install-mkpasswd install-pos

mv %{buildroot}%{_bindir}/mkpasswd %{buildroot}%{_bindir}/mkpasswd-%{mkpasswd_suffix}
mv %{buildroot}%{_mandir}/man1/mkpasswd.1 %{buildroot}%{_mandir}/man1/mkpasswd-%{mkpasswd_suffix}.1

%find_lang %{name}

%post
if [ ! -e %{_bindir}/mkpasswd ] ; then
	ln -sf %{_bindir}/mkpasswd-%{mkpasswd_suffix} %{_bindir}/mkpasswd || :
fi

%preun
if [ $1 == 0 ] ; then
	if [ -L %{_bindir}/mkpasswd ] ; then
		rm -f %{_bindir}/mkpasswd
	fi
fi


%clean
rm -rf  %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README debian/changelog debian/copyright
%{_bindir}/whois
%{_bindir}/mkpasswd-%{mkpasswd_suffix}
%{_mandir}/man1/mkpasswd-%{mkpasswd_suffix}.1*
%{_mandir}/man1/whois.1*
%{_mandir}/man5/whois.conf.5*

%changelog
* Mon Jun 18 2018 cs@linux-administrator.com
- update to release 5.3.1
* Mon Aug 28 2017 cs@linux-administrator.com
- update to release 5.2.18
* Wed Aug  9 2017 cs@linux-administrator.com
- update to relesae 5.2.17
* Mon Feb 27 2017 cs@linux-administrator.com
- Update to release 5.2.15
* Tue Jan  3 2017 cs@linux-administrator.com
- Update to release 5.2.14
* Mon Oct 31 2016 cs@linux-administrator.com
- Update to release 5.2.13
* Wed Dec  9 2015 cs@linux-administrator.com
- Update to release 5.2.11
* Thu Aug  6 2015 cs@linux-administrator.com
- Update to release 5.2.10
* Tue May 19 2015 cs@linux-administrator.com
- Update to release 5.2.8
* Thu Mar 26 2015 cs@linux-administrator.com
- Update to release 5.2.7
* Mon Mar 23 2015 cs@linux-administrator.com
- Update to release 5.2.6
* Tue Mar  3 2015 cs@linux-administrator.com
- Update to release 5.2.5
* Fri Jan  9 2015 cs@linux-administrator.com
- Update to release 5.2.4
* Mon Dec 29 2014 cs@linux-administrator.com
- add whois-5.2.3_no-autodie.patch
* Sat Dec 27 2014 cs@linux-administrator.com
- Update to release 5.2.3
* Wed Nov 12 2014 cs@linux-administrator.com
- Update to release 5.2.2
* Thu Oct 16 2014 cs@linux-administrator.com
- Update to release 5.2.1
* Sun Sep 14 2014 cs@linux-administrator.com
- Update to release 5.2.0
* Sun Aug  3 2014 cs@linux-administrator.com
- Update to release 5.1.5
* Sun Jul 13 2014 cs@linux-administrator.com
- Update to release 5.1.4
* Sun Jun 29 2014 cs@linux-administrator.com
- set HAVE_ICONV=1 during build
* Mon May 26 2014 cs@linux-administrator.com
- Update to release 5.1.3
* Sat May  3 2014 cs@linux-administrator.com
- Update to relesae 5.1.2
* Sat Jan 11 2014 cs@linux-administrator.com
- Update to release 5.1.1
* Fri Dec 27 2013 cs@linux-administrator.com
- Update to release 5.1.0
* Wed Jul 17 2013 cs@linux-administrator.com
- Update to release 5.0.26
* Fri May 10 2013 cs@linux-administrator.com
- Update to release 5.0.25
* Thu Apr 18 2013 cs@linux-administrator.com
- Update to release 5.0.24
* Mon Apr  8 2013 cs@linux-administrator.com
- Update to release 5.0.23
* Wed Apr  3 2013 cs@linux-administrator.com
- Update to release 5.0.22
* Sat Dec  8 2012 cs@linux-administrator.com
- Update to release 5.0.20
* Tue Aug 28 2012 cs@linux-administrator.com
- Update to release 5.0.18
